% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/waywiser-package.R
\docType{package}
\name{waywiser-package}
\alias{waywiser}
\alias{waywiser-package}
\title{waywiser: Yardstick Extensions for Measuring Spatial Structure in Model Residuals}
\description{
\if{html}{\figure{logo.png}{options: style='float: right' alt='logo' width='120'}}

Predictive models of spatial data may have spatially structured errors, with "hot spots" of higher than expected error clustered geographically due to spatial structure in the underlying data. These functions provide methods for measuring the spatial structure of model errors for models, and are particularly useful for models fit using the 'tidymodels' framework. Methods include Moran's I ('Moran' (1950) \doi{10.2307/2332142}), Geary's C ('Geary' (1954) \doi{10.2307/2986645}) and Getis-Ord's G ('Ord' and 'Getis' (1995) \doi{10.1111/j.1538-4632.1995.tb00912.x}).
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/mikemahoney218/waywiser}
  \item \url{https://mikemahoney218.github.io/waywiser/}
  \item Report bugs at \url{https://github.com/mikemahoney218/waywiser/issues}
}

}
\author{
\strong{Maintainer}: Michael Mahoney \email{mike.mahoney.218@gmail.com} (\href{https://orcid.org/0000-0003-2402-304X}{ORCID})

Other contributors:
\itemize{
  \item RStudio [copyright holder, funder]
}

}
\keyword{internal}
